wibble::str::YamlStream Class Reference

Parse a record of Yaml-style field: value couples. More...

`#include <string.h>`

## Classes

class | const_iterator

## Public Member Functions

const_iterator | begin (std::istream &in)
const_iterator | end ()

## Detailed Description

Parse a record of Yaml-style field: value couples.

Parsing stops either at end of record (one empty line) or at end of file.

The value is deindented properly.

Example code:

utils::YamlStream stream;
map<string, string> record;
std::copy(stream.begin(inputstream), stream.end(), inserter(record));

## Member Function Documentation

## begin()

const_iterator wibble::str::YamlStream::begin | ( | std::istream & | in | ) |

inline

## end()

const_iterator wibble::str::YamlStream::end | ( |  | ) |

inline

The documentation for this class was generated from the following file:

- string.h